#ifndef __GAME_H_
#define __GAME_H_

#include "graphics.h"
#include "world.h"
#include "objectimagelib.h"
#include "tilelib.h"
#include "mapimagelib.h"
#include "variables.h"
#include <string>

class Game
{
public:
	Game();
	~Game();
	int RunGame(/*std::string mapeditorfilename_*/);
	int GameLoop();
	int MapEditorLoop();
private:
	//int LoadMapWithObjects(std::string name);
	bool ttf_initialized;
	bool initialized_properly;
	SDL_Surface *screen;
	Fonts fonts;
	World world;
	ObjectImageLib objectimagelib;
	TileLib tilelib;
	TileLib movetilelib;
	MapImageLib mapimagelib;
	Variables *gvariables;
};

#endif

