#ifndef __ITEM_H_
#define __ITEM_H_

#include "script.h"
#include <SDL/SDL.h>
#include <string>
#include <vector>

struct Item
{
	std::string shortid;
	std::string name;
	int weight;
	SDL_Surface *image;
	Script script;
};

class ItemLibrary
{
public:
	~ItemLibrary();
	int Load(std::string filename);
	void Clear();
	Item GetItem(std::string shortid);
private:
	std::vector<Item> items;
};

#endif

