#ifndef __VARIABLES_H_
#define __VARIABLES_H_

#include <list>
#include <string>
#include <iostream>
#include <sstream>
#include <fstream>
#include <cstdlib>

class VariableNode {
  public:
	std::string name;
	std::string data;
	bool GetBool();
	int GetInt();
	std::string GetString();
	void SetInt(int i);
	void SetBool(bool b);
	void SetString(std::string s);
};
typedef VariableNode Variable;

class Variables {
  public:
  	Variables();
  	Variables(std::string file);
	~Variables() { Write(); };
  	VariableNode & FindVar(std::string name);
	int AddVar(VariableNode & node);
	int Write();
  private:
	std::list<VariableNode> nodes;
	std::string file;
};
#endif
