#ifndef __GAMEVIEWER_H_
#define __GAMEVIEWER_H_

//#include "gui.h"
#include "map.h"
#include "graphics.h"
#include "player.h"
#include "tilelib.h"
#include "objectimagelib.h"
#include "coordinates.h"
#include "mapimagelib.h"
#include <vector>

#define DGDRAW_GRID (1<<0)
//#define DGDRAW_ONLYTHISFLOOR (1<<1)
#define DGDRAW_NAMEDPLACES (1<<2)

void DrawGame(SDL_Surface *surface,
		int screen_x, int screen_y,
		int view_w, int view_h,
		int view_map_x_offset, int view_map_y_offset,
		Map *map, ObjectImageLib *objectimagelib,
		TileLib *tilelib, MapImageLib *mapimagelib,
		Fonts fonts, int whattodraw, int floor_to_draw);

#endif

