#ifndef __MAPEDITOR_H_
#define __MAPEDITOR_H_

#include "graphics.h"
#include "map.h"
#include "tilelib.h"
#include "objectimagelib.h"
#include <string>

class MapEditor
{
public:
	MapEditor();
	MapEditor(SDL_Surface *s, Fonts *f, ObjectImageLib *o, TileLib *tilelib_,
			TileLib *movetilelib, MapImageLib *mapimagelib, std::string filename_);
	void SetThings(SDL_Surface *s, Fonts *f, ObjectImageLib *o, TileLib *tilelib_,
			TileLib *movetilelib, MapImageLib *mapimagelib, std::string filename_);
	int Main();
private:
	bool initialized;
	SDL_Surface *screen;
	Fonts *fonts;
	ObjectImageLib *objectimagelib;
	TileLib *tilelib, *movetilelib;
	MapImageLib *mapimagelib;
	std::string filename;
};

#endif

