#ifndef __TASK_H_
#define __TASK_H_

enum TaskType
{
	TASKTYPE_NO_TASK,
	TASKTYPE_DO_NOTHING_FOREVER,
	TASKTYPE_WAIT,
	TASKTYPE_MOVE
};

struct Task
{
	void Clear(){
		type = TASKTYPE_NO_TASK;
		targetplace.x = -1;
		targetplace.y = -1;
		text = "";
		length = -1;
		speed = -1;
		starttime = -1;
		lasttime = -1;
		startplace.x = -1;
		startplace.y = -1;
	}
	TaskType type;
	XYPlace targetplace;
	std::string text;
	int length;
	int speed;
	int starttime;
	int lasttime;
	XYPlace startplace;
};

#endif

